<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NilaiMahasiswa extends Model
{
    use HasFactory;

    protected $table = 'nilai_mahasiswas';

    protected $fillable = [
        'jadwal_kuliah_id',
        'mahasiswa_id',
        'kehadiran',
        'kuis',
        'tugas',
        'uts',
        'uas',
        'nilai_akhir',
        'nilai_huruf',
    ];

    public function mahasiswa()
    {
        return $this->belongsTo(Mahasiswa::class);
    }

    public function jadwalKuliah()
    {
        return $this->belongsTo(JadwalKuliah::class);
    }
}
